import { createContext, useState, useContext } from 'react';

const ErrorContext = createContext(null);

const ErrorProvider = ({children}) => {
  const [error, setError] = useState("");

  const resetError = () => setError("");

  const value = {
    error,
    setError,
    resetError,
  };

  return <ErrorContext.Provider value={value}>{children}</ErrorContext.Provider>;
};

const useError = () => useContext(ErrorContext);

export {
  ErrorProvider,
  useError,
};
