import { useState } from 'react';
import Button from '@mui/material/Button';
import Menu from '@mui/material/Menu';
import MenuItem from '@mui/material/MenuItem';

const PurchaseButton = () => {
  const [anchor, setAnchor] = useState(null);
  const isOpen = Boolean(anchor);

  const toggleMenu = (e) => {
    setAnchor(isOpen ? null : e.currentTarget);
  };

  const onSelect = (href) => {
    setAnchor(null);
    window.location = href;
  };

  return (
    <>
      <Button
        id="purchase-button"
        aria-controls={isOpen ? "basic-menu" : undefined}
        aria-haspopup="true"
        aria-expanded={isOpen ? "true" : undefined}
        onClick={toggleMenu}
      >
        Purchase Key
      </Button>
      <Menu
        id="purchase-menu"
        anchorEl={anchor}
        open={isOpen}
        onClose={() => toggleMenu(null)}
        MenuListProps={{"aria-labelledby": "purchase-button"}}
      >
        <MenuItem onClick={() => onSelect("/api/key/purchase")}>Purchase digital copy</MenuItem>
        <MenuItem onClick={() => onSelect("/api/key/purchase?physical=true")}>Purchase physical copy</MenuItem>
      </Menu>
    </>
  );
};

export default PurchaseButton;
