import API from "./Repository";

const LocationRepsostory = {
  getSoilDetails(params) {
    return API.get(`/soil/`, {params});
  },

  getEcologicalDistrictDetails(params) {
    return API.get(`/ecologicaldistrict/`, {params});
  },

  getRegionDetails(params) {
    return API.get(`/region/`, {params});
  },

  getPropertyDetails(params) {
    return API.get(`/address/`, {params});
  },

  async getLocationData(filters) {
    const params = { lat: filters.coordinates.lat, lng: filters.coordinates.lng };
    const [
      soilDetails,
      ecologicalDistrictDetails,
      propertyDetails,
      regionDetails,
    ] = await Promise.all([
      this.getSoilDetails(params),
      this.getEcologicalDistrictDetails(params),
      this.getPropertyDetails(params),
      this.getRegionDetails(params),
    ]);

    let locationData = {};
    locationData =
      soilDetails.status === 200
        ? Object.assign(locationData, soilDetails.data[0])
        : locationData;
    locationData =
      ecologicalDistrictDetails.status === 200
        ? Object.assign(locationData, ecologicalDistrictDetails.data[0])
        : locationData;
    locationData =
      propertyDetails.status === 200
        ? Object.assign(locationData, propertyDetails.data)
        : locationData;
    locationData =
      regionDetails.status === 200
        ? Object.assign(locationData, regionDetails.data)
        : locationData;

    return locationData;
  },
};

export default LocationRepsostory;
